import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class ButtonTesti1 extends Applet implements ActionListener
{
 private Button B1,B2;

 public void init()
 {
 B1=new Button("B1");
 B1.addActionListener(this);
 add(B1);
 B2=new Button("B2");
 B2.addActionListener(this);
 add(B2);
 }

public void actionPerformed(ActionEvent e)
{
if(e.getSource()==B1)
  {showStatus(" "+e.getActionCommand()+"dugmesine basildi");}  
else if(e.getSource()==B2)
  {showStatus(" "+e.paramString()+"dugmesine basildi");}
}

}




